%define anolis_release 1

%global pypi_name jaraco.packaging
%global pkg_name jaraco-packaging

Name:           python-%{pkg_name}
Version:        9.0.0
Release:        %{anolis_release}%{?dist}
Summary:        Tools to supplement packaging Python releases

License:        MIT
URL:            https://github.com/jaraco/jaraco.packaging
Source0:        https://files.pythonhosted.org/packages/ef/81/d2c3dd6c055d832907956c22072d383adf29f5d334b0b8f4f8915d4109fe/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools_scm

%description
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as the
version or author name.

%package -n python3-jaraco
Summary: A Parent package for jaraco's parent dir and init file.

%description -n python3-jaraco
A Parent package for jaraco's parent dir and init file.

%package -n python3-%{pkg_name}
Summary:        %{summary}

%description -n python3-%{pkg_name}
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as the
version or author name.

%package -n python3-%{pkg_name}-doc
Summary:        jaraco.packaging documentation
Requires:       python3-%{pkg_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pkg_name}-doc
Documentation for jaraco.packaging

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-jaraco
%license LICENSE
%{python3_sitelib}/jaraco
%exclude %{python3_sitelib}/jaraco/packaging

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/packaging
%{python3_sitelib}/jaraco.packaging-%{version}.dist-info

%files -n python3-%{pkg_name}-doc
%doc README.rst

%changelog
* Wed Mar 29 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 9.0.0-1
- Init from upstream
